<div id="app">
  <block color="#ef5350">
    <text-field placeholder="Label" [value]="label" (handleInput)="setLabel($event)" [size]="18" [editable]="!locked">{{ label }}</text-field>
  </block>
  <block [height]="285" color="#ffca28">
    <div class="listview">
      <row *ngFor="let item of items; index as idx; trackBy: trackByFunc">
        <radio iconCell (handleClick)="handleTakeOff(item)"></radio>
        <text-field leftCell placeholder="Item" [value]="item" (handleInput)="setItem(idx)($event)" [editable]="!locked">{{ item }}</text-field>
      </row>
      <row>
        <text-field rightCell type="number" placeholder="Price" [value]="price" (handleInput)="setPrice($event)" [editable]="!locked">
          {{ (price - takeOff.length).toFixed(2) }}
        </text-field>
      </row>
    </div>
  </block>
  <block color="#ffa726">
    <hyper-link (handleClick)="updatePizza()" [size]="18">{{ locked ? 'Unlock' : 'Lock' }}</hyper-link>
    <hyper-link (handleClick)="navigateToHome()" [size]="18">Back</hyper-link>
    <hyper-link *ngIf="!locked" (handleClick)="removePizza()" [size]="18">Del</hyper-link>
  </block>
</div>
